package nc.plugin.fa;

import nc.bs.businessevent.BusinessEvent.BusinessUserObj;
import nc.bs.businessevent.IBusinessEvent;
import nc.bs.businessevent.IBusinessListener;
import nc.impl.fa.byzimpl.AssetInfoToByzImpl;
import nc.vo.fa.assetcard.AggCardVO;
import nc.vo.pub.BusinessException;
import nc.vo.pubapp.pattern.exception.ExceptionUtils;

public class SynchroCardInfoToBYZ implements IBusinessListener {

	@Override
	public void doAction(IBusinessEvent businessEvent) throws BusinessException {
		BusinessUserObj obj = (BusinessUserObj) businessEvent.getUserObject();
		AggCardVO[] aggvos = (AggCardVO[]) obj.getUserObj();
//			BillInfoQueryUtil util=new BillInfoQueryUtil();
			try {
				AssetInfoToByzImpl impl=new AssetInfoToByzImpl();
				impl.sendArc(aggvos);
//				util.sendAssetcardInfoToBYZ(aggvos);
			} catch (Exception e) {
				ExceptionUtils.wrappBusinessException(e.getMessage());
			}
	}
}
